Name:		pencil-planner
Version:	0.4.4b
Release:	%mkrel 3

Summary:	Traditional animation software
Group:		Graphics/Editors and Converters
License:	GPLv2
URL:		http://www.pencil-animation.org/index.php

Source0:	%{name}.tar.gz
Patch0:		pencil-planner-0.4.4b-git-fix_gcc_47_build.patch

BuildRequires:	phonon-devel 
BuildRequires:	qt4-devel 
BuildRequires:	ming-devel

Requires:	ming-utils

%description
Pencil is an animation/drawing software for Mac OS X, Windows, and Linux. 
It lets you create traditional hand-drawn animation (cartoon) using both 
bitmap and vector graphics. Pencil is free and open source. 

%prep
%setup -qn %{name}
%patch0 -p1

%build
%qmake_qt4
mkdir -p release/build
sed -e 's:%{qt4dir}/include/phonon:%{_prefix}/include/phonon:g' Makefile > Makefile.new
sed -e 's:-I%{_prefix}/include/phonon_compat::g' Makefile.new > Makefile

%make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/pixmaps,share/applications}
cp $RPM_BUILD_DIR/%{name}/release/Pencil $RPM_BUILD_ROOT/usr/bin/
cp $RPM_BUILD_DIR/%{name}/icons/pencil.png $RPM_BUILD_ROOT/usr/share/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Pencil Planner
GenericName=Pencil Planner
Comment=Traditional animation software
Exec=%{_bindir}/Pencil
Icon=/usr/share/pixmaps/pencil.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;
EOF

%files
%defattr(-,root,root,-)
%{_bindir}/Pencil
%{_datadir}/pixmaps/pencil.png
%{_datadir}/applications/%{name}.desktop


%changelog

* Wed Jan 23 2013 juancho <juancho> 0.4.4b-3.mga3
+ Revision: 391194
- Change RPM group
- Fix gcc 4.7 build error

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 27 2011 juancho <juancho> 0.4.4b-1.mga2
+ Revision: 149265
- Changed qmake call for appropiate %%qmake_qt4 macro
  Replaced hardcoded paths for macros
  Removed Version from .desktop file as it had wrong value and it's optional.

  + vaci0 <vaci0>
    - imported package pencil-planner

